| Version: 3.3.1

Public Member Functions | List of all members
wxGridCellEnumRenderer Class Reference
Class List by Category » Grid Related Classes

`#include <wx/grid.h>`

Inheritance diagram for wxGridCellEnumRenderer:
[legend]

## Detailed Description

This class may be used to render in a cell a number as a textual equivalent.

The corresponding text strings are specified as comma-separated items in the string passed to this renderer ctor or SetParameters() method. For example, if this string is `"John,Fred,Bob"` the cell will be rendered as "John", "Fred" or "Bob" if its contents is 0, 1 or 2 respectively.

##

Library: wxCore
Category: Grid Related Classes

See also
  wxGridCellRenderer, wxGridCellAutoWrapStringRenderer, wxGridCellBoolRenderer, wxGridCellDateTimeRenderer, wxGridCellFloatRenderer, wxGridCellNumberRenderer, wxGridCellStringRenderer

## Public Member Functions
| wxGridCellEnumRenderer (const wxString &choices=wxEmptyString)
| Enum renderer ctor. More...
virtual void | SetParameters (const wxString &params)
| Sets the comma separated string content of the enum. More...
Public Member Functions inherited from wxGridCellStringRenderer
| wxGridCellStringRenderer ()
| Default constructor. More...
Public Member Functions inherited from wxGridCellRenderer
| wxGridCellRenderer ()
virtual wxGridCellRenderer * | Clone () const =0
| This function must be implemented in derived classes to return a copy of itself. More...
virtual void | Draw (wxGrid &grid, wxGridCellAttr &attr, wxDC &dc, const wxRect &rect, int row, int col, bool isSelected)=0
| Draw the given cell on the provided DC inside the given rectangle using the style specified by the attribute and the default or selected state corresponding to the isSelected value. More...
virtual wxSize | GetBestSize (wxGrid &grid, wxGridCellAttr &attr, wxDC &dc, int row, int col)=0
| Get the preferred size of the cell for its contents. More...
virtual int | GetBestHeight (wxGrid &grid, wxGridCellAttr &attr, wxDC &dc, int row, int col, int width)
| Get the preferred height of the cell at the given width. More...
virtual int | GetBestWidth (wxGrid &grid, wxGridCellAttr &attr, wxDC &dc, int row, int col, int height)
| Get the preferred width of the cell at the given height. More...
virtual wxSize | GetMaxBestSize (wxGrid &grid, wxGridCellAttr &attr, wxDC &dc)
| Get the maximum possible size for a cell using this renderer, if possible. More...
Public Member Functions inherited from wxSharedClientDataContainer
void * | GetClientData () const
| Get the untyped client data. More...
wxClientData * | GetClientObject () const
| Get a pointer to the client data object. More...
void | SetClientData (void *data)
| Set the untyped client data. More...
void | SetClientObject (wxClientData *data)
| Set the client data object. More...
Public Member Functions inherited from wxRefCounter
| wxRefCounter ()
| Default constructor. More...
void | DecRef ()
| Decrements the reference count associated with this shared data and, if it reaches zero, destroys this instance of wxRefCounter releasing its memory. More...
int | GetRefCount () const
| Returns the reference count associated with this shared data. More...
void | IncRef ()
| Increments the reference count associated with this shared data. More...

## Additional Inherited Members
Protected Member Functions inherited from wxGridCellRenderer
void | SetTextColoursAndFont (const wxGrid &grid, const wxGridCellAttr &attr, wxDC &dc, bool isSelected)
| Helper function setting the correct colours and font. More...
virtual | ~wxGridCellRenderer ()
| The destructor is private because only DecRef() can delete us. More...
Protected Member Functions inherited from wxRefCounter
virtual | ~wxRefCounter ()
| Destructor. More...

## Constructor & Destructor Documentation

## ◆ wxGridCellEnumRenderer()

wxGridCellEnumRenderer::wxGridCellEnumRenderer | ( | const wxString & | choices = `wxEmptyString` | ) |

Enum renderer ctor.

Parameters

  choices | Comma separated string parameters "item1[,item2[...,itemN]]".

## Member Function Documentation

## ◆ SetParameters()

virtual void wxGridCellEnumRenderer::SetParameters | ( | const wxString & | params | ) |
| virtual

Sets the comma separated string content of the enum.

Parameters

  params | Comma separated string parameters "item1[,item2[...,itemN]]".